DeepFellow DOCS

Create Translation

Translate audio into English.

POST
/v1/audio/translations
AuthorizationBearer <token>

In: header

Header Parameters

OpenAI-Organization?Openai-Organization

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?Openai-Project

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

fileFile
modelModel

ID of the model to use.

prompt?Prompt

An optional text to guide the model's style or continue a previous audio segment. The prompt should match the audio language.

response_format?ResponseTranscriptionFormat | null

The format of the output, in one of these options: json, text, srt, verbose_json, vtt.

temperature?Temperature

The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use log probability to automatically increase the temperature until certain thresholds are hit.

Response Body

curl -X POST "https://loading/v1/audio/translations" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -F file="string" \  -F model="string"
{
  "text": ""
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.